@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400..700&family=Libre+Baskerville:ital,wght@0,400..700;1,400..700&family=Oswald:wght@200..700&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');


main{
    width: 100%;
    display: flex;
    justify-content: center;
    position: relative;
}

.slider{
    width: 100%;
    overflow: hidden;
}

.fotos{
    display: flex;
    width: max-content;
    animation: kaydir 60s linear infinite;
    gap: 15px;
}

.fotos img{
    width: 30%;
    object-fit: cover;
    opacity: 0.6;
    border-radius: 10px;
    filter: blur(3px);
    -webkit-mask-image: linear-gradient(
        to bottom,
        transparent,
        black 40%,
        black 80%,
        transparent
    );

    mask-image: linear-gradient(
        to bottom,
        transparent,
        black 40%,
        black 80%,
        transparent
    );
}

@keyframes kaydir{
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-50%);
    }
}

.hero{
    position: absolute;
    display: flex;
    flex-direction: column;
}
.hero-img{
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: start;
}

.hero img{
    width: 50%;
}

.search-box{
    margin: 10px auto;
    display: flex;
    align-items: center;
    gap: 12px;
    background: #f3f3f3;
    padding: 10px;
    border-radius: 14px;
    box-shadow: 0 6px 18px rgba(0,0,0,0.18);
    border: 1px solid #d8d8d8;
}

.search-box select,
.search-box input{
    height: 45px;
    border: 1px solid #d6d6d6;
    border-radius: 8px;
    padding: 0 14px;
    font-size: 17px;
    background: white;
    color: #555;
}

.search-box button{
    height: 45px;
    border: none;
    border-radius: 8px;
    background: linear-gradient(to bottom, #ff9f24, #e56b00);
    color: white;
    font-weight: bold;
    cursor: pointer;
    padding: 0 22px;
    box-shadow: 0 3px 8px rgba(0,0,0,0.2);
    transition: 0.2s;
}

.search-box button:hover{
    transform: scale(1.03);
}

.reservation-bar{
    width: 100%;
}

.reservation-bar img{
    width: 100%;
    object-fit: contain;
}


.mekans{
    display: flex;
    width: 100%;
    justify-content: space-around;
    position: relative;
}

.mekans::before{
    content: "";
    position: absolute;
    inset: 0;
    background:
    radial-gradient(circle, rgba(255, 255, 255, 0.893) 30%, rgba(255,255,255,0) 98%),
    url(image/rez.png);
    background-size: cover;
    background-position: center;
    opacity: 0.3;
}

.mekans a{
    width: 15%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mekans img{
    width: 100%;
    transition: ease-in-out 0.5s;
    cursor: pointer;
    opacity: 1 !important;
    z-index: 1;
    margin: 15px 0;
}

.mekans img:hover{
    transform: scale(1.1);
}

.text{
    width: 100%;
    max-width: 900px;
    margin: 60px auto;
    text-align: center;
    background: #ffffff;
    padding: 40px;
    border-radius: 15px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
}

.text h1{
    font-family: "Caveat", cursive;
    font-weight: 400;
    font-size: 32px;
    line-height: 1.5;
    color: #333;
}

.text span{
    color: #ff9800;
}

.btn{
    display: inline-block;
    margin-top: 20px;
    padding: 12px 28px;
    background: #ff9800;
    color: white;
    text-decoration: none;
    border-radius: 30px;
    font-size: 16px;
    transition: 0.3s;
}

.btn:hover{
    background: #e68900;
    transform: scale(1.05);
}


@media (max-width: 768px){
    .fotos{
        grid-template-columns: 1fr;
    }
    .hero img{
        width: 70%;
    }

}


@media (max-width: 650px){

    .search-box{
        flex-direction: column;
        width: 90%;
    }

    .search-box select,
    .search-box input,
    .search-box button{
        width: 100%;
    }

}

@media (max-width: 508px){
    .fotos{
        grid-template-columns: 1fr;
    }
    .hero img{
        width: 90%;
    }

}